#include <windows.h>
#include <tchar.h>
#include "mouhook.h"
#include "resource.h"

#pragma comment(lib, "mouhook")
#pragma comment(lib, "user32")

BOOL CALLBACK DlgProc(HWND hDlg, UINT msg, WPARAM wp, LPARAM lp)
{
	switch (msg)
	{
	case WM_INITDIALOG:
		SetMouHook(hDlg);
		return TRUE;

    case WM_COMMAND:
    	switch (HIWORD(wp))
    	{
    	case BN_CLICKED:
    		switch (LOWORD(wp))
    		{
    		case IDCANCEL:
    			UnhookMouHook();
    			EndDialog(hDlg, 0);
    			break;
    		}
    		break;
    	}
    	switch (wp)
    	{
    	case ID_UPDATE_MOUCOORD:
    		{
    			POINT pt = GetMouClientPt();
    			TCHAR txt[256] = {0};
				wsprintf(txt, TEXT("Client coord: X:%d Y:%d"), pt.x, pt.y );
				SetDlgItemText(hDlg, IDC_MOUCOORD, txt);
				::GetMouWindowText( txt, 256 );
				SetDlgItemText(hDlg, IDC_MOUWINTXT, txt);
    		}
    		break;
    	}
    	break;
	}

	return 0;
}

int WINAPI _tWinMain(HINSTANCE hInst, HINSTANCE hPrev, LPSTR szCmd, INT nShow)
{
	BOOL res = DialogBox(hInst, MAKEINTRESOURCE(IDD_MAIN), NULL, (DLGPROC)DlgProc);
	return 0;
}
